Package org.bgerp.plugin.pln.blow.model

# Class BoardConfig

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.plugin.pln.blow.model.BoardConfig

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class BoardConfig extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BoardConfig.BoardFilter`

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCellContent(Item item)`
  Builds HTML cell's content using JEXL expression.
  `Set<Integer>`
  `getExecutorGroupIds()`
  `Set<Integer>`
  `getExecutorRoleIds()`
  `List<Pair<BoardConfig.BoardFilter,String>>`
  `getFilterValues(Iterable<Item> items)`
  Returns calculated filters values.
  `Comparator<Item>`
  `getItemComparator()`
  `String`
  `getOpenUrl()`
  `Queue`
  `getQueue()`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Method Details

  - ### getQueue

    public Queue getQueue()

  - ### getOpenUrl

    public String getOpenUrl()

  - ### getFilterValues

    public List<Pair<BoardConfig.BoardFilter,String>> getFilterValues(Iterable<Item> items)
    Returns calculated filters values.
    Parameters:
      `items` -
    Returns:

  - ### getCellContent

    public String getCellContent(Item item)
    Builds HTML cell's content using JEXL expression.
    Parameters:
      `item` -
    Returns:

  - ### getExecutorGroupIds

    public Set<Integer> getExecutorGroupIds()

  - ### getExecutorRoleIds

    public Set<Integer> getExecutorRoleIds()

  - ### getItemComparator

    public Comparator<Item> getItemComparator()